using System;

namespace FAS_LIB
{
    public class scItemMaster
    {
        private int _NonConfId;
        private int _AssyPartId;
        private string _PartNum;
        private byte _BuyMake;
        private string _OfoKan;
        private string _Desc1;
        private string _Desc2;
        private byte _AssyPartActive;
        private DateTime _DateAdded;
        private string _CostCode;
        private string _UOM;
        private Decimal _UnitCost;
        private Decimal _LaborCost;
        private Decimal _MaterialCost;
        private Decimal _OverHeadCost;
        private Decimal _O08FBUR;
        private Decimal _O09PBUR;
        private Decimal _O10AMU;
        private Decimal _O11VBUR;
        private string _Vendor;
        private int _Routing;
        private int _ItemType;

        public int NonConfId
        {
            get
            {
                return this._NonConfId;
            }
            set
            {
                this._NonConfId = value;
            }
        }

        public int AssyPartId
        {
            get
            {
                return this._AssyPartId;
            }
            set
            {
                this._AssyPartId = value;
            }
        }

        public string AssyPartNumber
        {
            get
            {
                return this._PartNum;
            }
            set
            {
                this._PartNum = value;
            }
        }

        public byte BuyMake
        {
            get
            {
                return this._BuyMake;
            }
            set
            {
                this._BuyMake = value;
            }
        }

        public string OFOKanban
        {
            get
            {
                return this._OfoKan;
            }
            set
            {
                this._OfoKan = value;
            }
        }

        public string Description1
        {
            get
            {
                return this._Desc1;
            }
            set
            {
                this._Desc1 = value;
            }
        }

        public string Description2
        {
            get
            {
                return this._Desc2;
            }
            set
            {
                this._Desc2 = value;
            }
        }

        public byte AssyPartActive
        {
            get
            {
                return this._AssyPartActive;
            }
            set
            {
                this._AssyPartActive = value;
            }
        }

        public DateTime DateAdded
        {
            get
            {
                return this._DateAdded;
            }
            set
            {
                this._DateAdded = value;
            }
        }

        public string CostCode
        {
            get
            {
                return this._CostCode;
            }
            set
            {
                this._CostCode = value;
            }
        }

        public string UOM
        {
            get
            {
                return this._UOM;
            }
            set
            {
                this._UOM = value;
            }
        }

        public Decimal UnitCost
        {
            get
            {
                return this._UnitCost;
            }
            set
            {
                this._UnitCost = value;
            }
        }

        public Decimal LaborCost
        {
            get
            {
                return this._LaborCost;
            }
            set
            {
                this._LaborCost = value;
            }
        }

        public Decimal MaterialCost
        {
            get
            {
                return this._MaterialCost;
            }
            set
            {
                this._MaterialCost = value;
            }
        }

        public Decimal OverHeadCost
        {
            get
            {
                return this._OverHeadCost;
            }
            set
            {
                this._OverHeadCost = value;
            }
        }

        public Decimal O08FBUR
        {
            get
            {
                return this._O08FBUR;
            }
            set
            {
                this._O08FBUR = value;
            }
        }

        public Decimal O09PBUR
        {
            get
            {
                return this._O09PBUR;
            }
            set
            {
                this._O09PBUR = value;
            }
        }

        public Decimal O10AMU
        {
            get
            {
                return this._O10AMU;
            }
            set
            {
                this._O10AMU = value;
            }
        }

        public Decimal O11VBUR
        {
            get
            {
                return this._O11VBUR;
            }
            set
            {
                this._O11VBUR = value;
            }
        }

        public string Vendor
        {
            get
            {
                return this._Vendor;
            }
            set
            {
                this._Vendor = value;
            }
        }

        public int Routing
        {
            get
            {
                return this._Routing;
            }
            set
            {
                this._Routing = value;
            }
        }

        public int ItemType
        {
            get
            {
                return this._ItemType;
            }
            set
            {
                this._ItemType = value;
            }
        }

        public scItemMaster()
        {
            this._NonConfId = 0;
            this._AssyPartId = 0;
            this._PartNum = "";
            this._BuyMake = (byte)0;
            this._OfoKan = "";
            this._Desc1 = "";
            this._Desc2 = "";
            this._AssyPartActive = (byte)0;
            this._DateAdded = DateTime.Now;
            this._CostCode = "x";
            this._UOM = "";
            this._UnitCost = new Decimal();
            this._LaborCost = new Decimal();
            this._MaterialCost = new Decimal();
            this._OverHeadCost = new Decimal();
            this._O08FBUR = new Decimal();
            this._O09PBUR = new Decimal();
            this._O10AMU = new Decimal();
            this._O11VBUR = new Decimal();
            this._Vendor = "";
            this._Routing = 0;
            this._ItemType = 0;
        }

        public override string ToString()
        {
            return this._PartNum.PadRight(15) + " - " + this._Desc1.PadRight(25) + ", " + this._Desc2.PadRight(25) + ", " + this._OfoKan.PadRight(6);
        }
    }
}
